Subject: ext2 fs programs version 0.4a available
From: [email-masked] (Remy CARD)
Date: 1 Dec 1993 00:41:28 +0200
Newsgroups: comp.os.linux.announce

Linus has just released Linux 0.99pl14 which contains the latest
ext2 fs version (0.4a).  So, I can now release the latest version of the
ext2 fs programs.

Changes since version 0.4 (mostly bug fixes)
============================================
	In the kernel code:
	- the `sync' option support is now complete.  Version 0.4 was not
	  supporting it when truncating a file.  I have tested the synchronous
	  writes and they work but they make the system very slow :-(  I have
	  to work again on this to make it faster.
	- when detecting an error on a mounted filesystem, version 0.4 used
	  to try to write a flag in the super block even if the filesystem had
	  been mounted read-only.  This is fixed.
	- the `sb=#' option now causes the kernel code to use the filesystem
	  descriptors located at block #+1.  Version 0.4 used the superblock
	  backup located at block # but used the main copy of the descriptors.
	- a new file attribute `S' is supported.  This attribute causes
	  synchronous writes but is applied to a file not to the entire file
	  system (thanks to Michael Kraehe <[email-masked]> for
	  suggesting it).
	- the directory cache is inhibited by default.  The cache management
	  code seems to be buggy and I have to look at it carefully before
	  using it again.
	- deleting a file with the `s' attribute (secure deletion) causes its
	  blocks to be overwritten with random values (hmmm, actually with
	  the deletion time) not with zeros (thanks to Michael A. Griffith
	  <[email-masked]> for suggesting it).
	- lots of cosmetic changes have been made.

	In the ext2 fs programs:
	- chattr and lsattr support the new `S' attribute.
	- chattr and lsattr now use the lstat system instead of stat to avoid
	  infinite loops in case of symbolic links (thanks to Peter J.
	  Flathmann <[email-masked]> for noticing the bug).
	- e2fsck no longer checks the i_flags field in the inodes.  Version 0.4
	  used to clear it if it was not equal to zero.  This behavior was
	  not compatible with the file attributes.
	- e2fsck now displays more descriptive messages in case of bad
	  directory entries.
	- two new programs (mksuper and testfs) are part of the distribution.
	  mksuper creates a new superblock in a file to repair a damaged
	  filesystem.  testfs demonstrates some race conditions in every linux
	  filesystem by running several processes which access the same files.
	  testfs can be used on any filesystem type BUT BE WARNED THAT IT IS A
	  TEST PROGRAM WHICH MAY DAMAGE SOME DATA IF IT DETECTS A BUG IN
	  THE KERNEL CODE.
	  mksuper and testfs are not installed when running 'make install'.

NOTE:	You need to get Linux 0.99pl14 to compile this new version of the
ext2 fs programs.  Trying to compile it with a previous verion of the kernel
will cause some compilation errors.

Availability:
=============
	As usual, this release is available for anonymous ftp on ftp.ibp.fr
in the directory /pub/linux/BETA/ext2fs.  It should appear soon in the
same directory on tsx-11.mit.edu.  I have also uploaded it to sunsite.unc.edu
and it should be moved soon to /pub/Linux/system/Filesystems/ext2.

	The files are:
	- e2fsprogs-0.4a.tar.gz: the source files of the ext2 fs programs,
	- e2fsprogs-0.4a.lsm: LSM entry for the ext2 fs programs.

		Remy

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.